=== debian/changelog ===
jflex (1.4.3-3) unstable; urgency=low

  * Upload in unstable
  * Update Standards-Version to version 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 09:27:25 +0200

jflex (1.4.3-3~exp1) experimental; urgency=low

  * Update Standards-Version to version 3.9.3
  * Add myself among the uploaders

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Apr 2013 19:19:39 +0200

jflex (1.4.3-2) unstable; urgency=low

  * Team upload.
  * Remove Arnaud and Paul from Uploaders list.
  * Switch to source format 3.0. Use dpkg's internal quilt instead of cdbs'
    simple patchsys.
  * Install file debian/logo.gif instead of the corrupt doc/logo.gif.
    (Closes: #578875)

 -- Torsten Werner <twerner@debian.org>  Sat, 06 Aug 2011 18:55:47 +0200

jflex (1.4.3-1) unstable; urgency=low

  * New upstream (bug fix) release
  * Fixed dangling symlink in usr/share/ant/lib (Closes: #538063)
  * Bumped Standards-versions to 3.8.2 - no changes required.
  * Bumped to debhelper version 7.
  * Fixed spelling errors.
  * Corrected section to java.
  * Corrected some paths in debian/rules and debian/docs.

 -- Niels Thykier <niels@thykier.net>  Thu, 23 Jul 2009 21:07:58 +0200

jflex (1.4.2-2) unstable; urgency=low

  * debian/copyright: Update, mention GPL v2 explicitly.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jan 2009 12:07:57 +0100

jflex (1.4.2-1) unstable; urgency=low

  [Matthias Klose]
  * New upstream (bug fix) release.
  * Build-depend on default-jdk, depend on default-jre-headless.
  * debian/patches/03_build_xml_target.patch: Update.

  [Paul Cager]
  * Added watch file.
  * Added symlink from ant's lib directory
    (Closes: #388371 - JFlexTask cannot be found).
  * debian/control:
    + Removed Wolfgang Baer from uploaders and added myself.
    + Add Homepage field.
    + Add Vcs-Svn and Vcs-Browser.
    + Build-Depends-Indep on java-gcj-compat-dev instead of kaffe.
    + Updated Standards-Version to 3.8.0.
    + Moved cdbs and debhelper to Build-Depends.
  * debian/copyright
    + Removed lintian warnings about file format.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Jan 2009 11:20:59 +0100

jflex (1.4.1-3) unstable; urgency=low

  * added myself as an uploader.
  * removed Takashi Okamoto from the uploaders (closes: #352980).

 -- Arnaud Vandyck <avdyk@debian.org>  Thu,  9 Mar 2006 21:36:42 +0000

jflex (1.4.1-2) unstable; urgency=low

  * kaffe compiler transition
    + Removed build compiler jikes setting
    + Added patch to raise target to 1.3 (needed by ecj)

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 11:37:07 +0100

jflex (1.4.1-1) unstable; urgency=low

  * New upstream release (closes: #248259)
  * Transferred maintainership to pkg-java maintainers
  * Changed build system to use ant, cdbs
  * Added a compat file
  * Changed dependency to comply with debian java policy (closes: #237823)
  * Removed jflex, cup dependency and patch build file to 
    use the included pregenerated files to avoid dep on itself
  * Register documentation with doc-base
  * Fixed outdated URL in examples/byaccj (closes: #306528)
  * Extracted all patches from diff.gz into debian/patches
  * Wrote a simple manpage for jflex
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <WBaer@gmx.de>  Thu,  6 Oct 2005 20:34:44 +0200

jflex (1.3.5-7) unstable; urgency=low

  * fixed type in control file. (closes: #215478)

 -- Takashi Okamoto <tora@debian.org>  Tue, 14 Oct 2003 00:41:58 +0900

jflex (1.3.5-6) unstable; urgency=low

  * fixed FTBFS (closes: #201450)

 -- Takashi Okamoto <tora@debian.org>  Sun, 31 Aug 2003 19:31:54 +0900

jflex (1.3.5-5) unstable; urgency=low

  * fixed FTBFS (closes: #166595)

 -- Takashi Okamoto <tora@debian.org>  Sun, 31 Aug 2003 19:31:46 +0900

jflex (1.3.5-4) unstable; urgency=low

  * fixed not compile with kaffe. (Closes:#141250)

 -- Takashi Okamoto <tora@debian.org>  Sat, 27 Jul 2002 08:12:09 +0900

jflex (1.3.5-3) unstable; urgency=low

  * add jflex at Build-Depend. (Closes:#133719)

 -- Takashi Okamoto <tora@debian.org>  Sat, 16 Feb 2002 13:38:21 +0900

jflex (1.3.5-2) unstable; urgency=low

  * change Build-Depends to Build-Depends-Indep.
  * change /usr/share/java/JFlex.jar to /usr/share/java/JFlex-1.3.5.jar.
    new JFlex.jar is symbolic link in JFlex-1.3.5.jar .

 -- Takashi Okamoto <tora@debian.org>  Thu, 17 Jan 2002 17:07:32 +0900

jflex (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Sat, 12 Jan 2002 03:29:35 +0900

jflex (1.3.2-1) unstable; urgency=low

  * Initial release.

 -- Takashi Okamoto <tora@debian.org>  Sat,  2 Jun 2001 19:17:32 +0900
