=== debian/control ===
Source: jflex
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant
Build-Depends-Indep: default-jdk, junit
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jflex
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jflex
Homepage: http://www.jflex.de/

Package: jflex
Architecture: all
Depends: default-jre-headless | java1-runtime | java2-runtime, ${misc:Depends}
Enhances: ant-optional
Description: lexical analyzer generator for Java
 It is also a rewrite of the very useful tool JLex which was developed
 by Elliot Berk at Princeton University. As Vern Paxon states for
 his C/C++ tool flex : They do not share any code though.
 .
 JFlex is designed to work together with the LALR parser generator CUP
 by Scott Hudson, and the Java modification of Berkeley Yacc BYacc/J
 by Bob Jamison. It can also be used together with other parser generators
 like ANTLR or as a standalone tool.
