=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for jflex (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

export UPSTREAM_VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME := /usr/share/ant

DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar junit

DEB_ANT_BUILDFILE := src/build.xml
DEB_ANT_BUILD_TARGET := jar 
DEB_ANT_CLEAN_TARGET := libclean jarclean

DEB_INSTALL_CHANGELOGS_ALL := src/changelog

install/jflex::
	install -m 644 lib/JFlex.jar debian/jflex/usr/share/java/JFlex-$(UPSTREAM_VERSION).jar
	ln -s JFlex-$(UPSTREAM_VERSION).jar debian/jflex/usr/share/java/JFlex.jar
	install -m 755 bin/jflex debian/jflex/usr/bin/jflex
