=== debian/changelog ===
jflex (1.4.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.7.
  * Use only Build-Depends field.
  * Switch from cdbs to dh sequencer.
  * Use maven-repo-helper to install maven artifacts.
  * Add jflex.poms and pom.xml.
  * Remove Niels Thykier from Uploaders. (Closes: #770563)
  * Use canonical Vcs-URI.
  * Repack the tarball and remove pre-built JFlex.jar file.

 -- Markus Koschany <apo@debian.org>  Fri, 12 Feb 2016 18:12:32 +0100
