=== debian/rules ===
#!/usr/bin/make -f

export UPSTREAM_VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)
export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --parallel --with maven_repo_helper

override_dh_auto_build:
	ant -buildfile src/build.xml jar

override_dh_auto_clean:
	dh_auto_clean
	ant -buildfile src/build.xml libclean jarclean

override_dh_installchangelogs:
	dh_installchangelogs src/changelog

override_dh_install:
	install -m 644 lib/JFlex.jar debian/jflex/usr/share/java/JFlex-$(UPSTREAM_VERSION).jar
	ln -s JFlex-$(UPSTREAM_VERSION).jar debian/jflex/usr/share/java/JFlex.jar
	install -m 755 bin/jflex debian/jflex/usr/bin/jflex

#DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar junit
