=== debian/watch ===
version=3
http://jflex.de/download.html  jflex-(.*).zip
