## jflex 1.6.1

=== examples/byaccj/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # only works with the Java extension of yacc: 
 # byacc/j from http://troi.lincom-asg.com/~rjamison/byacc/
 
-JFLEX  = jflex 
+JFLEX  = ../../bin/jflex 
 BYACCJ = yacc -J
 JAVAC  = javac
