=== examples/java/Makefile ===
--- 
+++ 
@@ -3,11 +3,15 @@
 # CUP classes should be included in CLASSPATH 
 
 CUP        = java java_cup.Main -interface <
-JFLEX      = jflex
+JFLEX      = ../../bin/jflex
+CUPJAR     = ../../lib/java-cup-11a.jar
+CP         = .:$(CUPJAR)
 JAVA       = java
 JAVAC      = javac
-#JAVAC      = jikes 
-JAVACFLAGS = 
+JAVACFLAGS = -cp $(CP)
+CUP        = $(JAVA) -jar $(CUPJAR)
+
+
 
 # --------------------------------------------------
 
@@ -17,7 +21,7 @@
 	@(diff lexer-output.txt lexer-output.good && echo "Test OK!") || echo "Test failed!"
 
 lexer-output.txt: compile
-	$(JAVA) TestLexer TestLexer.java > lexer-output.txt
+	$(JAVA) -cp $(CP) TestLexer TestLexer.java > lexer-output.txt
 
 
 compile: scanner parser unicode
@@ -26,7 +30,7 @@
 parser: parser.java 
 
 parser.java: java12.cup
-	$(CUP) java12.cup
+	$(CUP) -interface java12.cup
 
 scanner: Scanner.java
