=== debian/changelog ===
jflex (1.6.1-3) unstable; urgency=medium

  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Use https for Format field. Update copyright years.
  * Change dependency from default-jre to default-jre-headless |
    java7-runtime-headless.
    Thanks to Kai-Chung Yan for the report. (Closes: #890345)
  * Change source/target to 1.7.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Feb 2018 22:30:33 +0100

jflex (1.6.1-2) unstable; urgency=medium

  * Tighten build-dependency on jflex.
  * Drop LexScan.flex.patch. No longer necessary with version 1.6.1 of jflex
    which is available in the archive now.
  * Update build.patch for compilation with jflex 1.6.1. (Closes: #832645)
  * Run jflex and cup before the actual build to fix a compilation error.

 -- Markus Koschany <apo@debian.org>  Thu, 28 Jul 2016 06:01:51 +0200

jflex (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Update watch file. The project moved to Github.
  * Add get-orig-source target.
  * Update jflex.poms and use upstream's pom.xml file.
  * Move the package to Git.
  * Add myself to Uploaders. (Closes: #831816)
  * Remove debian/logo.gif because it is no longer needed for the docs.
  * Drop all patches because they are either obsolete or applied upstream.
  * Add build.patch and jflex-executable.patch to adjust build system and
    wrapper script for Debian.
  * Build-Depend on jflex and cup.
  * Add LexScan.flex.patch to fix FTBFS with the older version of JFlex.
  * Drop dirs file and remove dh_install override. Use install file instead.
  * Install changelog.md as upstream changelog.
  * Update debian/copyright to copyright format 1.0.
  * Depend on default-jre | java6-runtime because jflex requires a X11
    environment. Compile the source code for Java 6 from now on which is de
    facto already the minimum requirement in Debian.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jul 2016 06:48:48 +0200

jflex (1.4.3+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Emmanuel Bourg ]
  * Removed the timestamps from the generated files to improve
    the reproducibility of the reverse dependencies
  * Standards-Version updated to 3.9.8 (no changes)
  * Updated debian/watch to track the latest releases

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 14:10:45 +0200
