=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
- Sylvestre Ledru <sylvestre@debian.org>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  ant,
- debhelper (>= 9),
+ cup,
+ debhelper (>= 11),
  default-jdk,
+ jflex (>= 1.6.1),
  junit,
  maven-repo-helper
-Standards-Version: 3.9.7
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/jflex
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/jflex
+Standards-Version: 4.1.3
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jflex.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jflex.git
 Homepage: http://www.jflex.de/
 
 Package: jflex
 Architecture: all
 Depends:
- default-jre-headless | java1-runtime | java2-runtime,
+ default-jre-headless | java7-runtime-headless,
  ${misc:Depends}
 Enhances:
  ant-optional
