## jflex 1.7.0

=== examples/interpreter/Makefile ===
--- 
+++ 
@@ -9,12 +9,21 @@
 #    starts the program on a test example
 #                                                                     
 
+JAVA=java
+JAVAC=javac
+# Root of the project
+ROOT=../../..
+JFLEX=$(ROOT)/jflex/bin/jflex
+CUPJAR=$(ROOT)/cup/cup/java-cup-11b.jar
+CUP=$(JAVA) -jar $(CUPJAR)
+CP=.:$(CUPJAR)
 
+default: test
 
 .SUFFIXES: $(SUFFIXES) .class .java
 
 .java.class:
-	javac $*.java
+	$(JAVAC) -cp $(CP) $*.java
 
 FILE=	Yylex.java      parser.java    sym.java \
 	SymTab.java	AST.java \
@@ -26,9 +35,11 @@
 	Main.java \
 	SymtabEntry.java STEfun.java	STEvar.java
 
+run: output.txt
 
-run: all
-	java Main < example.as
+output.txt: all
+	$(JAVA) -cp $(CP) Main < example.as > output.txt
+	cat output.txt
 
 all: Yylex.java parser.java $(FILE:java=class)
 
@@ -36,7 +47,10 @@
 	rm -f *.class *~ *.bak Yylex.java parser.java sym.java
 
 Yylex.java: scanner.flex
-	jflex scanner.flex
+	$(JFLEX) scanner.flex
 
 parser.java: parser.cup
-	java java_cup.Main -interface < parser.cup
+	$(CUP) -interface < parser.cup
+
+test: output.txt
+	@(diff output.txt output.good && echo "Test OK!") || echo "Test failed!"
