=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  ant,
- cup,
+ cup (>= 0.11b-20160615-2),
  debhelper (>= 11),
  default-jdk,
+ javahelper,
  jflex (>= 1.6.1),
  junit,
  maven-repo-helper
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jflex.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jflex.git
 Homepage: http://www.jflex.de/
@@ -21,6 +22,7 @@
 Architecture: all
 Depends:
  default-jre-headless | java7-runtime-headless,
+ ${java:Depends},
  ${misc:Depends}
 Enhances:
  ant-optional
