=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 export JAVA_HOME := /usr/lib/jvm/default-java
+export CLASSPATH := /usr/share/java/cup.jar:/usr/share/java/cup_runtime.jar
 
 %:
-	dh $@ --with maven_repo_helper
+	dh $@ --with javahelper,maven_repo_helper
 
 override_dh_auto_build:
 	mkdir -p build/generated-sources/jflex
@@ -23,6 +24,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.md
 
+override_dh_installdocs:
+	$(RM) $(CURDIR)/examples/.gitignore
+	dh_installdocs
+
 get-orig-source:
 	uscan --download-current-version --force-download --repack --compression xz
