=== debian/watch ===
version=4
  https://github.com/jflex-de/jflex/releases .*/jflex-?(\d\S*)\.tar\.gz
