=== debian/changelog ===
jflex (1.8.2-1) experimental; urgency=medium

  * New upstream version 1.8.2.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.
  * Remove get-orig-source target
  * Switch to Maven build system.
  * Build-depend on libgoogle-auto-value-java
  * Drop encoding.patch and inputstreamctor.patch. Fix the encoding via
    maven.properties.
  * Refresh build.patch. Add LexScan.java.patch because this file is not
    correctly created with JFlex 1.7.0.
  * Add auto-value.patch to really create the AutoValue_ class from source.
  * Add privacy-breach.patch to fix a minor privacy issue for Debian users.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Oct 2020 22:30:57 +0100
