=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
 Build-Depends:
  ant,
  cup (>= 0.11b-20160615-2),
- debhelper (>= 11),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  jflex (>= 1.6.1),
  junit,
- maven-repo-helper
-Standards-Version: 4.2.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jflex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jflex.git
-Homepage: http://www.jflex.de/
+ libgoogle-auto-value-java,
+ maven-debian-helper
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/jflex.git
+Vcs-Browser: https://salsa.debian.org/java-team/jflex
+Homepage: https://www.jflex.de/
 
 Package: jflex
 Architecture: all
 Depends:
- default-jre-headless | java7-runtime-headless,
+ default-jre-headless | java8-runtime-headless,
  ${java:Depends},
  ${misc:Depends}
 Enhances:
