=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME := /usr/lib/jvm/default-java
export CLASSPATH := /usr/share/java/cup.jar:/usr/share/java/cup_runtime.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	java -jar /usr/share/java/cup.jar \
		-parser LexParse \
		-interface \
		-destdir src/main/java/jflex/core \
		src/main/cup/LexParse.cup
	# Does not work with 1.7.0, uncomment when 1.8.2 hits unstable.
	#jflex -d src/main/java/jflex/core \
	#	--skel src/main/jflex/skeleton.nested \
	#	src/main/jflex/LexScan.flex
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs changelog.md

override_dh_installdocs:
	$(RM) \
		$(CURDIR)/examples/.gitignore \
		$(CURDIR)/examples/simple/.gitignore \
		$(CURDIR)/examples/simple/._README.md
	dh_installdocs
